{% raw -%}
{% load crispy_forms_field %}

{% if field.is_hidden %}
  {# We don't care about styling for hidden fields #}
  {{ field }}
{% elif field|is_checkbox %}
  <div class="flex items-center space-x-4">
    <input type="checkbox" checked="checked" class="checkbox checkbox-primary" />
    <label>Remember me</label>
  </div>
{% else %}
  {# Opening Div and Label first #}
  <div>
    {% if field.label and form_show_labels %}
      <label for="{{ field.id_for_label }}"
             class="{% if label_class %}{{ label_class }}{% else %}form-control text-sm font-medium w-full{% endif %}">
        <div class="label">
          <span class="label-text">
            {{ field.label|safe }}
            {% if field.field.required %}<span class="text-sm text-muted">(required)</span>{% endif %}
          </span>
        </div>
      </label>
    {% endif %}
    {# if field has a special template then use this #}
    {% if field|is_select %}
      <div class="{% if field_class %}{{ field_class }}{% else %}mb-3{% endif %}"{% if flat_attrs %} {{ flat_attrs|safe }}{% endif %}>
        {% include 'crispywind/layout/select.html' %}
      </div>
    {% elif field|is_checkboxselectmultiple %}
      <div class="{% if field_class %}{{ field_class }}{% else %}mb-3{% endif %}"{% if flat_attrs %} {{ flat_attrs|safe }}{% endif %}>
        {% include 'crispywind/layout/checkboxselectmultiple.html' %}
      </div>
    {% elif field|is_radioselect %}
      <div class="{% if field_class %}{{ field_class }}{% else %}mb-3{% endif %}"{% if flat_attrs %} {{ flat_attrs|safe }}{% endif %}>
        {% include 'crispywind/layout/radioselect.html' %}
      </div>
    {% else %}
      {# otherwise use django rendering with additional classes added #}
      {% crispy_field field 'class' 'input input-bordered w-full' %}
    {% endif %}
    {% include 'crispywind/layout/help_text_and_errors.html' %}
  </div>
{% endif %}
{% endraw %}
